[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazarusFileDialogForm.CreateNew

Alternate constructor for the class instance.

## Declaration

Source position: lazdialogs.pas line 37

`public constructor TLazarusFileDialogForm.CreateNew(`
`AOwner: TComponent;`
`Num: Integer = 0`
`); override;`

## Arguments

`AOwner` |  | Owner of the Lazarus dialog form.
`Num` |  | Not used in the current implementation.

## Description

CreateNew is an overridden constructor for the class instance. CreateNew calls the inherited method using values in AOwner and Num as arguments. CreateNew ensures that the Lazarus dialog form sets its position to the value poScreenCenter.

CreateNew allows the form instance to be created without using the associated .lfm file. The CreateNew constructor is used (instead of Create) when the TCustomForm descendant is not a TForm class instance or not a descendant of TForm.

See the Initialize method for information about creation and positioning of child controls on the Lazarus dialog form.

## See also

TLazarusFileDialogForm.Initialize |  | Creates and positions child controls on the Lazarus dialog form.
TCustomForm.CreateNew |  | Creates a form instance without a resource (.lfm) file.